com.tibbo.aggregate.common.server

## Interface ServerRuntimeConfig

-     public interface ServerRuntimeConfig

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommandLineConfigFilename()`
    `java.lang.String` | `getCommandLineDatabaseSchemaUpdateFilename()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getCommandLinePasswordChangesList()`
    `java.lang.String` | `getCommandLinePluginsFilename()`
    `java.lang.String` | `getCommandLineStartupScriptFilename()`
    `java.lang.String` | `getDevicePluginsDir()`
    `java.util.List<EventWriter>` | `getEventWriters()`
    `java.lang.String` | `getHomeDirectory()`
    `boolean` | `isCommandLineCreateDatabase()`
    `boolean` | `isCommandLineUpdateDatabase()`
    `boolean` | `isEditableAdminPermissions()`
    `boolean` | `isFirstLaunch()`
    `boolean` | `isGuiMode()`
    `boolean` | `isPublicStore()`
    `boolean` | `isSafeMode()`
    `boolean` | `isServiceMode()`
    `boolean` | `isStartedOnCleanSchema()`
    `boolean` | `isUpgradeMode()`
    `void` | `setCommandLineConfigFilename(java.lang.String commandLineConfigFilename)`
    `void` | `setCommandLineCreateDatabase(boolean commandLineCreateDatabase)`
    `void` | `setCommandLineDatabaseSchemaUpdateFilename(java.lang.String commandLineDatabaseSchemaUpdateFilename)`
    `void` | `setCommandLinePluginsFilename(java.lang.String commandLinePluginsFilename)`
    `void` | `setCommandLineStartupScriptFilename(java.lang.String commandLineStartupScriptFilename)`
    `void` | `setCommandLineUpdateDatabase(boolean commandLineUpdateDatabase)`
    `void` | `setEditableAdminPermissions(boolean editableAdminPermissions)`
    `void` | `setFirstLaunch(boolean firstLaunch)`
    `void` | `setGuiMode(boolean guiMode)`
    `void` | `setPublicStore(boolean publicStore)`
    `void` | `setStartedOnCleanSchema(boolean startedOnCleanSchema)`
    `void` | `setUpgradeMode(boolean upgradeMode)`

- - ### Method Detail

    - #### getHomeDirectory

          java.lang.String getHomeDirectory()

    - #### getDevicePluginsDir

          java.lang.String getDevicePluginsDir()

    - #### getEventWriters

          java.util.List<EventWriter> getEventWriters()

    - #### isCommandLineCreateDatabase

          boolean isCommandLineCreateDatabase()

    - #### getCommandLineConfigFilename

          java.lang.String getCommandLineConfigFilename()

    - #### isCommandLineUpdateDatabase

          boolean isCommandLineUpdateDatabase()

    - #### isUpgradeMode

          boolean isUpgradeMode()

    - #### isGuiMode

          boolean isGuiMode()

    - #### getCommandLinePasswordChangesList

          java.util.Map<java.lang.String,java.lang.String> getCommandLinePasswordChangesList()

    - #### isFirstLaunch

          boolean isFirstLaunch()

    - #### getCommandLineDatabaseSchemaUpdateFilename

          java.lang.String getCommandLineDatabaseSchemaUpdateFilename()

    - #### getCommandLineStartupScriptFilename

          java.lang.String getCommandLineStartupScriptFilename()

    - #### isServiceMode

          boolean isServiceMode()

    - #### isSafeMode

          boolean isSafeMode()

    - #### isPublicStore

          boolean isPublicStore()

    - #### getCommandLinePluginsFilename

          java.lang.String getCommandLinePluginsFilename()

    - #### isEditableAdminPermissions

          boolean isEditableAdminPermissions()

    - #### setCommandLineConfigFilename

          void setCommandLineConfigFilename(java.lang.String commandLineConfigFilename)

    - #### setCommandLineCreateDatabase

          void setCommandLineCreateDatabase(boolean commandLineCreateDatabase)

    - #### setCommandLineUpdateDatabase

          void setCommandLineUpdateDatabase(boolean commandLineUpdateDatabase)

    - #### setUpgradeMode

          void setUpgradeMode(boolean upgradeMode)

    - #### setGuiMode

          void setGuiMode(boolean guiMode)

    - #### setFirstLaunch

          void setFirstLaunch(boolean firstLaunch)

    - #### setCommandLineDatabaseSchemaUpdateFilename

          void setCommandLineDatabaseSchemaUpdateFilename(java.lang.String commandLineDatabaseSchemaUpdateFilename)

    - #### setCommandLineStartupScriptFilename

          void setCommandLineStartupScriptFilename(java.lang.String commandLineStartupScriptFilename)

    - #### setCommandLinePluginsFilename

          void setCommandLinePluginsFilename(java.lang.String commandLinePluginsFilename)

    - #### setEditableAdminPermissions

          void setEditableAdminPermissions(boolean editableAdminPermissions)

    - #### setPublicStore

          void setPublicStore(boolean publicStore)

    - #### setStartedOnCleanSchema

          void setStartedOnCleanSchema(boolean startedOnCleanSchema)

    - #### isStartedOnCleanSchema

          boolean isStartedOnCleanSchema()